* make-dist: Clean up.
diff --git a/make-dist b/make-dist
index 6512570..a4e598c 100755
--- a/make-dist
+++ b/make-dist
@@ -1,8 +1,25 @@
 #!/bin/sh -e
 
-git clone -s .git tmpdir
-cd tmpdir
+tag="${1:-master}"
+
+j=-j`getconf _NPROCESSORS_ONLN 2> /dev/null` || j=
+
+distdir=strace-dist-$$
+abs_distdir="`pwd`/$distdir"
+trap 'chmod -Rf u+w $abs_distdir; rm -rf $abs_distdir' 1 2 15 0
+
+set -x
+git clone -q -n -s .git "$distdir"
+
+cd $distdir
+git checkout -f "$tag"
+
 ./git-set-file-times
-autoreconf -i
+
+autoreconf -i -f
+
 ./configure --enable-maintainer-mode
-make distcheck
+
+make -s $j distcheck
+
+mv -f *.tar.bz2 ..